Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get template

GET/workspaces/{organizationId}/templates/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Template

idstringrequired
organizationIdstringrequired
linearIdstringrequired
namestringrequired
templateDatastring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/templates/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "linearId": "string",
  "name": "string",
  "templateData": "string",
  "createdAt": "string"
}

Was this page helpful?